Subject: Re:[[email-masked]: Re: FVWM: Somthing broken in fvwm-snap-20040608!]

From: [email-masked]
Date: Tue, 08 Jun 2004 23:18:10 +0800

In your mail:
>Hi Liu,
> 
> Not sure if you're on the fvwm-workers list so I forwarded this
> on to you.
> 
> SCoTT. :)
> 

Thank you, SCoTT. I'm not on the fvwm-workers list.

> :   - Key binding in the Root context won't work, for example
> :     Key F1      R    M    Exec exec rxvt
> :     it won't start rxvt but pop up the default menu instead.
> :   - StrokeFunc in the Root crashes X, for example:
> :     Mouse 1     R    N    StrokeFunc DrawMotion FeedBack StrokeWidth 2
> :     now when you click the Root, you'll exit X and there is no error msg.
> 
> I've not used Stroke, but I changed the mouse binding to:
> 
> Mouse 1 R N Echo myMouse1BindingInvoked
> 
> for testing.
> 
> In both instances I found the bindings to be ignored. This was because
> FVWM defines default bindings for the F1 key & left mouse button. They are:
> 
> Key F1 R A Popup MenuFvwmRoot
> Mouse 1 R A Menu MenuFvwmRoot
> 
> If I do a:
> 
> Key F1 R A -
> Mouse 1 R A -
> 
> Both bindings are successfully invoked when expected.
> 

Well, 'Key F1 R A -' really makes 'Key F1 R M Exec exec rxvt' work as expected,
however, 'Mouse 1 R A -' makes no differences to 'Mouse 1 R N StrokeFunc
DrawMotion FeedBack StrokeWidth 2',ie, it still crashes X.

BTW, both bindings have been tested successfully in fvwm-snap-20040607.

I'm sorry I can't give more debug messages.

Regards,
Liu Shidai

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].